# $Revision: 1.12 $, $Date: 2010/07/28 21:01:27 $
Summary:	Python module for parsing iCal data
Summary(pl.UTF-8):	Moduł języka Python analizujący dane iCal
Name:		python-vobject
Version:	0.8.1c
Release:	2
License:	Apache v1.1
Group:		Libraries/Python
Source0:	http://vobject.skyhouseconsulting.com/vobject-%{version}.tar.gz
# Source0-md5:	c9686dd74d39fdae140890d9c694c076
URL:		http://vobject.skyhouseconsulting.com/
BuildRequires:	python-devel >= 1:2.4
BuildRequires:	python-setuptools >= 1:0.6-1.c9
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Vobject is intended to be a full featured Python package for parsing
and generating vCard and vCalendar files. It is being developed in
concert with the Open Source Application Foundation's Chandler
project.

Currently, iCalendar files are supported and well tested. vCard 3.0
files are supported, and all data should be imported, but only a few
components are understood in a sophisticated way.

%description -l pl.UTF-8
Vobject w zamierzeniu ma być pakietem do analizy i tworzenia plików
vCard oraz vCalendar. Jest zaprojektowany zgodnie z projektem Fundacji
Wolnego Oprogramowania o nazwie Chandler.

Obecnie dobrze przetestowana jest obsługa plików iCalendar. Pliki
vCard 3.0 także są obsługiwane i wszystkie dane powinny być
importowane, jednakże tylko kilka komponentów jest zrozumiałych w
wyrafinowany sposób.

%prep
%setup -q -n vobject-%{version}

%build
CC="%{__cc}" \
CFLAGS="%{rpmcflags}" \
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py install \
	--install-purelib=%{py_sitedir} \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT \

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/change_tz
%attr(755,root,root) %{_bindir}/ics_diff
%dir %{py_sitedir}/vobject
%{py_sitedir}/vobject/*.py[co]
%if "%{py_ver}" > "2.4"
%{py_sitedir}/vobject-*.egg-info
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-vobject.spec,v $
Revision 1.12  2010/07/28 21:01:27  glen
- requires setuptools version 0.6c9
- conditional egg info for py2.4

Revision 1.11  2010/07/08 08:43:45  arekm
- release 2

Revision 1.10  2009/03/14 14:09:14  duddits
- up to 0.8.1c
- %files

Revision 1.9  2008/10/03 18:03:02  arekm
- release 2

Revision 1.8  2008-02-09 21:00:47  qboosh
- unified License format

Revision 1.7  2007/09/02 14:44:18  qboosh
- pl cosmetic, BR: rpm-pythonprov

Revision 1.6  2007/08/30 09:19:47  beorn
- Extended description (polish translation seems weird. Needs checking)

Revision 1.5  2007/08/30 08:51:39  beorn
- License fix

Revision 1.4  2007/08/30 08:48:54  beorn
- pl

Revision 1.3  2007/08/30 08:46:57  beorn
- Simplified %files

Revision 1.2  2007/08/30 08:45:50  beorn
- Summary fix
- Group fix
- BR fix
- Description fix

Revision 1.1  2007/08/30 03:49:34  aredridel
- added
